com.tibbo.aggregate.common.data

## Class Event

- java.lang.Object
- - com.tibbo.aggregate.common.data.Event

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Event
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_EVENT_EXPIRATION_PERIOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`
    `Event(java.lang.String context, EventDefinition def, int level, DataTable data, java.lang.Long id, java.util.Date creationtime, Permissions permissions)`
    `Event(java.lang.String context, java.lang.String name, int level, DataTable data, java.lang.Long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcknowledgement(Acknowledgement ack)`
    `void` | `addEnrichment(Enrichment enrichment)`
    `Event` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<Acknowledgement>` | `getAcknowledgements()`
    `DataTable` | `getAcknowledgementsTable()`
    `java.lang.String` | `getContext()`
    `int` | `getCount()`
    `java.util.Date` | `getCreationtime()`
    `DataTable` | `getData()`
    `java.lang.String` | `getDeduplicationId()`
    `java.util.List<Enrichment>` | `getEnrichments()`
    `DataTable` | `getEnrichmentsTable()`
    `java.util.Date` | `getExpirationtime()`
    `java.lang.Long` | `getId()`
    `java.util.Date` | `getInstantiationtime()`
    `int` | `getLevel()`
    `java.lang.Integer` | `getListener()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getOriginator()`
    `Permissions` | `getPermissions()`
    `java.lang.String` | `getServerID()`
    `java.lang.Long` | `getSessionID()`
    `java.lang.String` | `getUserSessionId()`
    `int` | `hashCode()`
    `void` | `setAcknowledgementsTable(DataTable data)`
    `void` | `setContext(java.lang.String context)`
    `void` | `setCount(int count)`
    `void` | `setCreationtime(java.util.Date creationtime)`
    `void` | `setData(DataTable data)`
    `void` | `setDeduplicationId(java.lang.String deduplicationId)`
    `void` | `setEnrichmentsTable(DataTable data)`
    `void` | `setExpirationtime(java.util.Date expirationtime)`
    `void` | `setId(java.lang.Long id)`
    `void` | `setLevel(int level)`
    `void` | `setListener(java.lang.Integer listener)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOriginator(java.lang.Object originator)`
    `void` | `setPermissions(Permissions permissions)`
    `void` | `setServerID(java.lang.String serverID)`
    `void` | `setSessionID(java.lang.Long sessionID)`
    `void` | `setUserSessionId(java.lang.String userSessionId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_EVENT_EXPIRATION_PERIOD

          public static final long DEFAULT_EVENT_EXPIRATION_PERIOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Event

          public Event()

    - #### Event

          public Event(java.lang.String context,
                       EventDefinition def,
                       int level,
                       DataTable data,
                       java.lang.Long id,
                       java.util.Date creationtime,
                       Permissions permissions)

    - #### Event

          public Event(java.lang.String context,
                       java.lang.String name,
                       int level,
                       DataTable data,
                       java.lang.Long id)

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

    - #### getInstantiationtime

          public java.util.Date getInstantiationtime()

    - #### getCreationtime

          public java.util.Date getCreationtime()

    - #### getContext

          public java.lang.String getContext()

    - #### getName

          public java.lang.String getName()

    - #### getExpirationtime

          public java.util.Date getExpirationtime()

    - #### getAcknowledgementsTable

          public DataTable getAcknowledgementsTable()

    - #### getEnrichmentsTable

          public DataTable getEnrichmentsTable()

    - #### setAcknowledgementsTable

          public void setAcknowledgementsTable(DataTable data)

    - #### setEnrichmentsTable

          public void setEnrichmentsTable(DataTable data)

    - #### addAcknowledgement

          public void addAcknowledgement(Acknowledgement ack)

    - #### getAcknowledgements

          public java.util.List<Acknowledgement> getAcknowledgements()

    - #### addEnrichment

          public void addEnrichment(Enrichment enrichment)

    - #### getEnrichments

          public java.util.List<Enrichment> getEnrichments()

    - #### setId

          public void setId(java.lang.Long id)

    - #### setCreationtime

          public void setCreationtime(java.util.Date creationtime)

    - #### setName

          public void setName(java.lang.String name)

    - #### setContext

          public void setContext(java.lang.String context)

    - #### setExpirationtime

          public void setExpirationtime(java.util.Date expirationtime)

    - #### setData

          public void setData(DataTable data)

    - #### setListener

          public void setListener(java.lang.Integer listener)

    - #### setLevel

          public void setLevel(int level)

    - #### setOriginator

          public void setOriginator(java.lang.Object originator)

    - #### getData

          public DataTable getData()

    - #### getListener

          public java.lang.Integer getListener()

    - #### getLevel

          public int getLevel()

    - #### getPermissions

          public Permissions getPermissions()

    - #### setPermissions

          public void setPermissions(Permissions permissions)

    - #### getOriginator

          public java.lang.Object getOriginator()

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getDeduplicationId

          public java.lang.String getDeduplicationId()

    - #### setDeduplicationId

          public void setDeduplicationId(java.lang.String deduplicationId)

    - #### getSessionID

          public java.lang.Long getSessionID()

    - #### setSessionID

          public void setSessionID(java.lang.Long sessionID)

    - #### getServerID

          public java.lang.String getServerID()

    - #### setServerID

          public void setServerID(java.lang.String serverID)

    - #### getUserSessionId

          @Nullable
          public java.lang.String getUserSessionId()

    - #### setUserSessionId

          public void setUserSessionId(java.lang.String userSessionId)

    - #### clone

          public Event clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`